Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 249314 - net-wireless/bluez-gnome-1.8: drop gnome-extra/gnome-vfs-obexftp PDEPEND in favor of gvfs
Summary: net-wireless/bluez-gnome-1.8: drop gnome-extra/gnome-vfs-obexftp PDEPEND in f...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Tiziano Müller
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-29 21:45 UTC by Pacho Ramos
Modified: 2009-03-14 10:58 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2008-11-29 21:45:53 UTC
gnome-vfs-obexftp is deprecated and gvfs backend replaces it, also, this is currently a problem for trying to install bluez and bluez-gnome-1.8:

# emerge -avuDN world -t

These are the packages that would be merged, in reverse order:

Calculating world dependencies /

... done!
[ebuild     U ] net-wireless/bluez-gnome-1.8 [0.28] USE="gnome -debug" 353 kB 
[ebuild     U ]  app-mobilephone/obex-data-server-0.4.2 [0.3.2] USE="gtk%* -debug -imagemagick%" 0 kB [0=>1]
[ebuild  N    ]   net-wireless/bluez-4.19  USE="alsa cups gstreamer usb -debug -doc -examples -old-daemons -test-programs" 908 kB 
[nomerge      ] net-wireless/bluez-gnome-1.8 [0.28] USE="gnome -debug" 
[nomerge      ]  gnome-extra/gnome-vfs-obexftp-0.4  
[ebuild  N    ]   net-wireless/bluez-utils-3.36  USE="alsa cups gstreamer usb -debug -examples -old-daemons -test-programs" 0 kB 
[ebuild  N    ]    net-wireless/bluez-libs-3.36  USE="-debug" 0 kB 
[blocks B     ] net-wireless/bluez-libs (is blocking net-wireless/bluez-4.19)
[blocks B     ] net-wireless/bluez-utils (is blocking net-wireless/bluez-4.19)
[blocks B     ] net-wireless/bluez (is blocking net-wireless/bluez-libs-3.36, net-wireless/bluez-utils-3.36)

Total: 5 packages (2 upgrades, 3 new, 3 blocks), Size of downloads: 1,260 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage

!!! Error: The above package list contains packages which cannot be installed
!!!        at the same time on the same system.

My emerge --info:
Portage 2.1.4.5 (default/linux/amd64/2008.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.26-tuxonice x86_64)
=================================================================
System uname: 2.6.26-tuxonice x86_64 Intel(R) Core(TM)2 Duo CPU T9300 @ 2.50GHz
Timestamp of tree: Sat, 29 Nov 2008 13:05:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r7
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.4.8
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r2
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=nocona -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -march=nocona -fomit-frame-pointer"
DISTDIR="/usr/distfiles"
FEATURES="autoaddcvs ccache collision-protect cvs distlocks metadata-transfer multilib-strict parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org"
LANG="es_ES.UTF-8"
LC_ALL="es_ES.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="es es_ES en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 amr avahi bash-completion berkdb bluetooth branding bzip2 cairo cdda cddb cdparanoia cdr cli consolekit cracklib crypt css cups daap dbus dell dirac divx djvu dts dvd dvdr dvdread dvi eds emboss emovix encode epiphany evo exif fam fbcondecor fbsplash ffmpeg flac fortran fuse galago gdbm gif glitz gmedia gnome gnome-keyring gpm gsm gstreamer gtk hal iconv ieee1394 ipv6 isdnlog java java6 jpeg kdeenablefinal kdehiddenvisibility kpathsea ladspa laptop latex lcms ldap libnotify lirc lzma mad midi mikmod mjpeg mmx mmxext mono moonlight mp3 mpeg mudflap multilib musepack musicbrainz nautilus ncurses network network-cron nls nptl nptlonly ogg opengl openmp pam pch pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline realmedia reflection scanner schroedinger sdl session smp sms speex spell spl sse sse2 sse3 ssl ssse3 startup-notification svg sysfs t1lib tcpd theora threads tiff totem truetype unicode usb v4l2 vcd vhook vorbis wmf wmp x264 xattr xcb xft xinetd xml xorg xulrunner xv xvid zeroconf zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="es es_ES en_US" USERLAND="GNU" VIDEO_CARDS="nvidia nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Reproducible: Always
Comment 1 Jory A. Pratt gentoo-dev 2009-02-17 00:05:49 UTC
Could someone else step up and fix this ... been masked way to long for testing purposes.
Comment 2 Thorsten Vollmer 2009-03-12 22:43:15 UTC
net-wireless/bluez-gnome/ChangeLog:

  27 Feb 2009; Tiziano Müller <dev-zero@gentoo.org> bluez-gnome-1.8.ebuild:
  Change dependency to require gnome-base/gvfs[bluetooth] instead of the
  unmaintained (and broken) gnome-vfs-obexftp. Removed now unneeded warning.

This report can be closed.
Comment 3 Petteri Räty (RETIRED) gentoo-dev 2009-03-14 10:58:31 UTC
(In reply to comment #2)
> 
> This report can be closed.
> 

Thanks for notifying.